Index: src/LinkedCell/LinkedCell.cpp
===================================================================
--- src/LinkedCell/LinkedCell.cpp	(revision e65b264429729ac3e8a39b1cff4e0c3da7a1c92a)
+++ src/LinkedCell/LinkedCell.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
@@ -57,5 +57,5 @@
 void LinkedCell::LinkedCell::addPoint(const TesselPoint *point)
 {
-  push_back(point);
+  insert(point);
 }
 
@@ -69,5 +69,5 @@
 void LinkedCell::LinkedCell::deletePoint(const TesselPoint *point)
 {
-  LinkedList::iterator iter = find(begin(), end(), point);
+  LinkedList::iterator iter = find(point);
   ASSERT( iter != end(),
       "LinkedCell::LinkedCell::deletePoint() - "+toString(*point)+" not present in this cell.");
Index: src/LinkedCell/LinkedCell_View.cpp
===================================================================
--- src/LinkedCell/LinkedCell_View.cpp	(revision e65b264429729ac3e8a39b1cff4e0c3da7a1c92a)
+++ src/LinkedCell/LinkedCell_View.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
@@ -123,5 +123,5 @@
         LOG(3, "INFO: Current cell is " << neighbors.first << " plus " << n << ", yielding " << absolute_n << ".");
         for (LinkedCell::const_iterator Runner = List.begin(); Runner != List.end(); Runner++)
-          TesselList.push_back(*Runner);
+          TesselList.insert(*Runner);
       }
   return TesselList;
@@ -137,5 +137,5 @@
   for (LinkedList::const_iterator iter = TesselList.begin(); iter != TesselList.end(); ++iter) {
     if (center.DistanceSquared((*iter)->getPosition()) <= radius*radius)
-      ReturnList.push_back(*iter);
+      ReturnList.insert(*iter);
   }
 
Index: src/LinkedCell/types.hpp
===================================================================
--- src/LinkedCell/types.hpp	(revision e65b264429729ac3e8a39b1cff4e0c3da7a1c92a)
+++ src/LinkedCell/types.hpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
@@ -14,5 +14,5 @@
 #endif
 
-#include <list>
+#include <set>
 #include <vector>
 
@@ -31,5 +31,5 @@
 
   //!> linked list of tesselpoints
-  typedef std::list<const TesselPoint *> LinkedList;
+  typedef std::set<const TesselPoint *> LinkedList;
 
   //!> three-dimensional array of LinkedCell instances
Index: src/LinkedCell/unittests/LinkedCellUnitTest.cpp
===================================================================
--- src/LinkedCell/unittests/LinkedCellUnitTest.cpp	(revision e65b264429729ac3e8a39b1cff4e0c3da7a1c92a)
+++ src/LinkedCell/unittests/LinkedCellUnitTest.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
@@ -66,5 +66,5 @@
 
   // add a point
-  cell->push_back(Walker);
+  cell->insert(Walker);
   CPPUNIT_ASSERT_EQUAL((size_t)1, cell->size());
 
Index: src/LinkedCell/unittests/LinkedCell_ViewUnitTest.cpp
===================================================================
--- src/LinkedCell/unittests/LinkedCell_ViewUnitTest.cpp	(revision e65b264429729ac3e8a39b1cff4e0c3da7a1c92a)
+++ src/LinkedCell/unittests/LinkedCell_ViewUnitTest.cpp	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
@@ -119,13 +119,9 @@
   for (PointSet::const_iterator iter = NodeList.begin(); iter != NodeList.end(); ++iter)
     if (center.DistanceSquared((*iter)->getPosition()) <= distance*distance) {
-      ComparisonList.push_back(*iter);
+      ComparisonList.insert(*iter);
       //std::cout << **iter << " is inside of " << center << " plus " << distance << "." << std::endl;
     }
   // check that we get at least as many as needed
   CPPUNIT_ASSERT(ComparisonList.size() <= NeighborList.size());
-
-  // sort lists to ease comparison
-  ComparisonList.sort();
-  NeighborList.sort();
 
   // check element-wise and skip unrequired ones
@@ -160,13 +156,9 @@
   for (PointSet::const_iterator iter = NodeList.begin(); iter != NodeList.end(); ++iter)
     if (center.DistanceSquared((*iter)->getPosition()) <= distance*distance) {
-      ComparisonList.push_back(*iter);
+      ComparisonList.insert(*iter);
       //std::cout << **iter << " is inside of " << center << " plus " << distance << "." << std::endl;
     }
   // check that we get at least as many as needed
   CPPUNIT_ASSERT(ComparisonList.size() == NeighborList.size());
-
-  // sort lists to ease comparison
-  ComparisonList.sort();
-  NeighborList.sort();
 
   // check element-wise and skip unrequired ones
